# ``Passage``

Use Passage to add exclusively Passwordless authentication to your iOS Application.

## Overview

![Passage Logo](Passage)

**Note: passage-ios is currently in beta.**

The Passage iOS Framework provides an easy to use SDK interface to implement a [Passkey](https://developer.apple.com/passkeys/) focused authentication expierence.

Using [Passage](https://passage.id/) as your backend you can unlock complete user management using exclusively passwordless. 

The Passage-iOS SDK is supported for iOS version 14+. However, Passkeys are only supported on iOS v16+.

| iOS Version     | Passkey      | Magic Link     |
|-------------    |      :----:      |        :----:         |
| v16.x           |       ✅           |           ✅        |
| v15.x         |        ❌           |           ✅           |
| v14.x           |        ❌           |           ✅        |

## Topics

<!--### Quickstart-->
<!---->
<!--Don't wanna read all the articles and start using Pasage? -->
<!---->

<!---->
<!--### Passkeys and Passage Overview-->
<!---->
<!--Passkeys are Apple's future passwordless solution, the following articles will help give you an overview of the technology and how Passage makes it easy to get started with Passkeys-->
<!---->
<!--- <doc:Overview_Passkeys>-->
<!--- <doc:Overview_Passage>-->

### Getting Started

The articles below will walk you through integrating Passage into your application. They will walk you through getting a Passage application setup, adding the passage-ios framework to your application, and how to secure your backend using the Passage backend sdks. 

- <doc:GetStarted_PassageApplication>
- <doc:GetStarted_AssociatedDomains>
- <doc:GetStarted_Frontend>
- <doc:GetStarted_Backend>

### Guides

The following articles will describe registering users, logging users in, and passing Passage Auth Tokens to your applications backend.

- <doc:Guide_PassageFramework>
- <doc:Guide_Registration>
- <doc:Guide_Login>
- <doc:Guide_PasskeyAutofill>

